### Name: mefa
### Title: Makes Object of Class 'mefa'
### Aliases: mefa as.mefa print.mefa plot.mefa report.mefa report
### Keywords: manip classes

### ** Examples

### Example 1: simple atrificial data

ss <- data.frame(
cbind(
c("sample1","sample1","sample2","sample2","sample3","sample4"),
c("species1","species1","species1","species2","species3","zero.count"),
c("male","female","male","female","male","male")
),
c(1, 2, 10, 3, 4, 1)
)
colnames(ss) <- c("sample.id", "species.id", "gender", "catch")

spectab <- as.data.frame(rbind(
        c("species3", "family1", "1"),
        c("species2", "family2", "5"),
        c("species1", "family1", "2"),
        c("species5", "family2", "1"),
        c("species4", "family1", "10")
))
colnames(spectab) <- c("species", "taxonomy", "size")

sampletab <- as.data.frame(rbind(
        c("sample3", "bad"),
        c("sample1", "good"),
        c("sample2", "good"),
        c("sample4", "bad")))
colnames(sampletab) <- c("sample", "quality")

xct <- xcount(sscount(ss, zc="zero.count"))
xo1 <- xorder(xct, "samples", sampletab, 1)
xo2 <- xorder(xct, "species", spectab, 1)

mf1 <- mefa (xct, xo1, xo2)
mf1

mf2 <- mefa(xcount(sscount(ss, zc="zero.count"), 2), xo1, xo2)
mf2

### Example 2: field data of Villany Hills

## Not run: 
##D data(landsnail, vsample, vtable)
##D 
##D vt <- as.xcount(vtable, FALSE)
##D spec <- xorder(vt, which="species", landsnail, 2)
##D sampl <- xorder(vt, which="samples", vsample, 1)
##D 
##D vmf <- mefa(vt, sampl, spec)
##D vmf
##D 
##D plot(vmf)
##D plot(vmf,type="rank")
##D plot(vmf, 3)
##D plot(vmf, NULL, 5)
##D plot(vmf, "site.descr", "shell.dimension")
##D 
##D ### Example 3: field data of the dolina
##D 
##D data(dol.count, dol.sample, landsnail)
##D 
##D dmf <- mefa(
##D dxc <- xcount(sscount(fill.count(dol.count), zc="zero.count")),
##D xorder(dxc, which="samples", dol.sample, 1),
##D xorder(dxc, which="species", landsnail, 2)
##D )
##D 
##D dmf
##D 
##D plot(dmf, "microhabitat", "shell.dimension")
##D 
##D ### Reporting
##D v2 <- strify(vmf, strata = "site.descr", which = "samples")
##D habi <- xorder(as.xcount(v2), which="samples", vhabitat, 2)
##D vmf2 <- mefa(as.xcount(v2), habi, spec)
##D 
##D report.mefa("vspec-report.txt", vmf2, "species", c(3,2,4:7), "spec.name", "order", 0,
##D     FALSE, FALSE, sep = c(", "," (",")","; "))
##D 
##D report.mefa("vsampl-report.txt", vmf2,"samples", c(3,2,4:7), "spec.name", "order", 0,
##D     FALSE, FALSE, sep = c(", "," (",")",",\n"))
##D 
##D report.mefa("vspec-report.tex", vmf2,"species", c(3,2,4:7), "spec.name", "order", "author",
##D     TRUE, FALSE, sep = c(", "," (",")","; "))
##D 
##D report.mefa("vsampl-report.tex", vmf2,"samples", c(3,2,4:7), "spec.name", "order", "author",
##D     TRUE, TRUE, sep = c(", "," (",")",",\n"))
##D 
##D ### Sweave example
##D 
##D mefadocs("SampleReport")
## End(Not run)



